// =============================================================================
// File: synchi.js
// Version: 1.2
// 
// Initializes synchi and codemirror code editor.
// =============================================================================

$ = jQuery;
var synchi_editor = false;

$(function(){
    
    // get file extension
    var extension = "file.txt";
    
    // check if editing mode is in progress
    var fileedit = $(".fileedit-sub div.alignleft");
    if(fileedit.length == 0) return;
    if(fileedit.find('h3').length != 0) extension = fileedit.find('h3').text();
    else if(fileedit.find('big strong').length != 0)extension = fileedit.find('big strong').text();
    
    // clean extension
    extension = $(extension.split('.')).last().get(0);

    // exit if no meaningfull extension
    if(extension == 'txt') return;

    // get text area
    var editor = $('#newcontent');

    // init mode
    var editor_mode = false;

    // determine mode
    switch(extension) {
        case 'css':
            editor_mode = 'css';
            break;
        case 'js':
            editor_mode = 'javascript';
            break;
        case 'sql':
            editor_mode = 'mysql';
            break;
        case 'php':
            synchi_editor = CodeMirror.fromTextArea(editor.get(0), {
                matchBrackets: true,
                mode: "application/x-httpd-php",
                indentUnit: 4,
                indentWithTabs: false,
                enterMode: "keep",
                theme: (synchi_theme) ? synchi_theme : 'default'
            });
            editor_mode = false;
            break;
        case 'xml':
            editor_mode = 'xml';
            break;
        default:
            editor_mode = false;
    }

    // init editor
    if(editor_mode) {
        synchi_editor = CodeMirror.fromTextArea(editor.get(0),{
            mode: editor_mode,
            lineWrapping: true,
            theme: (synchi_theme) ? synchi_theme : 'default'
        });
    }
	
});